QGIS Application - Bug report #10329
OpenSuse 13.1 LXDE Application launcher menu corrupted by QGIS2 .desktop file
2014-05-22 06:25 AM - Andy Burnham

Status: Closed

Priority: Normal

Assignee: Otto Dassau

Category: Build/Install

Affected QGIS version:2.2.0 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 18752
Description

Hello, | installed QGIS2 from the OpenSuse 13.1 Geo repository. The application works fine but in doing this it wiped / corrupted half my
LXDE app launcher menu. (LXDE is a lightweight alternative to KDE / Gnome)

I now only have Accessories, Development, Education, Games, Graphics, Run and then Logout at the bottom.

QGIS has been added to the app launcher menu in Graphics but it's at the bottom and all the graphics apps after Q are missing. This
would suggest that something QGIS has added is upsetting the menu launcher parser

| traced this to the qgis2.desktop file which is created like this
cat /usr/share/applications/qgis2.desktop

[Desktop Entry]
X-SuSE-translate=false
Encoding=UTF-8
Name=QGIS 2.2
GenericName=Geographic Information System
Comment=

Exec=qgis

Icon=qgis.png
Terminal=false
Type=Application
Categories=Graphics;Viewer;

| found that if | delete the line Type=Application and save it then all the launcher menu options come back again and all is fine.

| don't get this problem in KDE or XFCE. The above .desktop file looks correct to me and | believe Type=Application is an allowable option
so | don't know why Ixpanel doesn't like this.

I think this may be a bug in their Ixpanel so I've reported it there
https://sourceforge.net/p/Ixde/bugs/650/

but I've recorded it here in case anyone else sees the problem

Many Thanks

History

#1 - 2014-06-21 02:09 PM - Jiirgen Fischer
- Assignee set to Otto Dassau

2024-03-20 12



https://sourceforge.net/p/lxde/bugs/650/

#2 - 2014-10-25 02:02 AM - Jiirgen Fischer
- Category set to Build/Install

#3 - 2015-03-28 03:56 PM - Pavlos Katsonis

| confirm that this bug exists in LXDE Desktop of openSUSE 13.2, too. The menu is not corrupted for the other desktops (E17).

#4 - 2016-10-30 02:58 AM - Jiirgen Fischer
- Resolution set to up/downstream
- Status changed from Open to Closed
